> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a role

GET https://api.contentful.com/spaces/{space_id}/roles/{role_id}

Use this endpoint to read an existing single role.

Reference: https://contentful.com/developers/docs/references/content-management-api/roles/get-a-role

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `role_id` (string, required) — ID of the role in a form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "description": "Test role",
  "name": "Some role",
  "permissions": {
    "ContentDelivery": "all",
    "ContentModel": [
      "read"
    ],
    "EnvironmentAliases": "all",
    "Environments": "all",
    "Settings": "all"
  },
  "policies": [
    {
      "actions": [
        "read",
        "create",
        "update",
        "delete",
        "publish",
        "unpublish",
        "archive",
        "unarchive"
      ],
      "constraint": {
        "and": [
          [
            "equals",
            {
              "doc": "sys.type"
            },
            "Entry"
          ]
        ]
      },
      "effect": "allow"
    }
  ],
  "sys": {
    "createdAt": "2025-07-25T23:44:35.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "0xvkNW6WdQ8JkWlWZ8BC4x",
    "type": "Role",
    "updatedAt": "2025-07-25T23:44:35.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 0
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Create it on Contentful.
client
    .roles()
    .async()
    .fetchOne(
        "<space_id>",
        "<role_id>",
        new CMACallback<CMARole>() {
          @Override protected void onSuccess(CMARole result) {
            // The fetched role will be the parameter of this method.
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Role fetched." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not create a new role." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMARole role =
    client
        .roles()
        .fetchOne(
            "<space_id>",
            "<role_id>"
        );
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val role = client
        .roles()
        .fetchOne(
                "<space_id>",
                "<role_id>"
        )
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getRole('<role_id>'))
.then((role) => console.log(role))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

const role = await client.role.get({
  spaceId: '<space_id>',
  roleId: '<role_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$space = $client->getSpaceProxy('<space_id>');

$role = $space->getRole('<role_id>');
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

role = client.roles('<space_id>').find('<role_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

role = client.roles('<space_id>').find('<role_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var role = await client.GetRole("<role_id>");
```